- Qt 5.15
- Qt 3D
- QML Types
- ExtrudedTextMesh QML Type
- Qt 5.15.15 Reference Documentation

# ExtrudedTextMesh QML Type

A 3D extruded Text mesh. More...

Import Statement: | import Qt3D.Extras 2.15

- List of all members, including inherited members

## Properties

- depth : float
- font : QFont
- text : QString

## Detailed Description

The origin of the mesh is the rear left end of the text's baseline.

## Property Documentation

depth : float

Holds the extrusion depth of the text.

font : QFont

* * * Holds the font of the text.

* The mesh geometry is normalized by the font's pointSize, so a larger pointSize * will result in smoother, rather than larger, text. pixelSize should not * be used.

text : QString

Holds the text used for the mesh.